CRYPTO_HASH_FINAL(9)

NAME
crypto_hash_final - calculate message digest

SYNOPSIS

int crypto_hash_final(struct hash_desc * desc, u8 * out);

ARGUMENTS

desc
    cipher request handle

out
    message digest output buffer -- The caller must ensure that the out buffer has a sufficient size (e.g. by using the crypto_hash_digestsize function).

DESCRIPTION

Finalize the message digest operation and create the message digest based on all data added to the cipher handle. The message digest is placed into the output buffer.

RETURN

0 if the message digest creation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT